package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BasePreventWind;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 九防台账-防风
* @author wuhonghao
* @date 2021/11/13
*/
@Mapper
@Repository
public interface BasePreventWindMapper {

    /**
    * 新增
    */
    int insert(BasePreventWind basePreventWind);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BasePreventWind basePreventWind);

    /**
    * 获取单个
    */
    BasePreventWind getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BasePreventWind> getList(BasePreventWind basePreventWind);

}
